import { geoNaturalEarth1, geoPath, geoGraticule } from 'd3';
//

//we need to render geographic marks 
const projection = geoNaturalEarth1();
const path = geoPath(projection);
const graticule = geoGraticule();

export const Marks = ({ data: { land, interiors } }) => (
  <g className="marks"> 
    <path className="sphere" d={path({ type: 'Sphere' })} /*we're rendering  path*//>
    <path className="graticules" d={path(graticule())} />
    {land.features.map(feature => (
      <path className="land" d={path(feature)} /*for each
        feature we wnt to map it from a path*/
        />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
