import React from 'react';
import ReactDOM from 'react-dom';
import { useData } from './useData';
import { Marks } from './Marks';

const width = 960;
const height = 500;

//we need to render the data

const App = () => {
  const data = useData(); /*loading in the data*/

  if (!data) {
    return <pre>Loading...</pre>; /*showing a loading string*/
  }

  return (
    <svg width={width} height={height}>
      <Marks data={data} />
    </svg> /*creating a svg element and rendering our marks component*/
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
