import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = 'https://unpkg.com/world-atlas@2.0.2/countries-50m.json';

export const useData = () => {
  const [data, setData] = useState(null);
  console.log(data);

  useEffect(() => {
    json(jsonUrl).then(topology => {
      /*the returned data is geoJSON*/
      const { countries, land } = topology.objects;
      setData({
        land: feature(topology, land),
        interiors: mesh(topology, countries, (a, b) => a !== b)
      }); /*land, interiors, to separate frontiers between
countries and those country-sea*/
    });
  }, []);

  return data;
};

//the data structure of geoJSON is easy to work with, 
//we can map it directly


